Timegroup(3pm)

NAME
Lire::Timegroup - Base class for implementation of the timegroup aggregator

SYNOPSIS
    use Lire::Timegroup;

DESCRIPTION
This module is the base class for implementation of the timegroup aggregator. This aggregator will split the DLF records based on a time period controlled throught the period attribute. For example, using 1d as the period value, this aggregator will group all records in the same day period together.

CONSTRUCTOR

  new( %params )
Creates a new instance of a timegroup aggregator. In addition to the normal report operator parameters, the timegroup aggregator can take several parameters:

field
    This optional parameter contains the DLF field which contains the time value used to group the DLF records together. See the field() method for more information.

period
    This mandatory parameter should contains the period's length that will be used to group the records. See the period() method for more information.

METHODS

  field( [$new_field] )
Returns the DLF field's name that is used to group the DLF records. This should be a valid timestamp DLF field in the current schema. By default, the default timestamp field of the DLF schema is used.

You can change the field by passing a $new_field parameter.

  period( [$new_period])
Returns the period's length in which the records are grouped. This can either be a duration value or the name of a report specification's parameter containing a duration value.

The period's length can be changed by using the $new_period parameter.

SEE ALSO
 Lire::ReportSpec(3pm), Lire::Group(3pm), Lire::ReportOperator(3pm),
 Lire::Timeslot(3pm)

AUTHORS
  Francis J. Lacoste <flacoste@logreport.org>
  Wolfgang Sourdeau <Wolfgang.Sourdeau@Contre.COM>

VERSION
$Id: Timegroup.pm,v 1.32 2004/07/02 16:00:52 flacoste Exp $

COPYRIGHT
Copyright (C) 2001-2004 Stichting LogReport Foundation LogReport@LogReport.org

This file is part of Lire.

Lire is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program (see COPYING); if not, check with http://www.gnu.org/copyleft/gpl.html or write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111, USA.